#pragma once

#include "CoreMinimal.h"
#include "AnalyticsComponent.generated.h"

class UObject;
class UDBDTextBlock;

USTRUCT(BlueprintType)
struct FAnalyticsComponent
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	UObject* _owner;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _sendAnalyticsData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString _analyticsName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _prependCurrentTabNameToAnalyticsName;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, Export, meta=(AllowPrivateAccess=true))
	UDBDTextBlock* _debugAnalyticsTB;

public:
	DBDUIVIEWSCORE_API FAnalyticsComponent();
};

FORCEINLINE uint32 GetTypeHash(const FAnalyticsComponent) { return 0; }
